curl --request GET \
--url https://api.syntage.com/invoices/line-items/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/invoices/line-items/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/invoices/line-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/invoices/line-items/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/invoices/line-items/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/invoices/line-items/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/invoices/line-items/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@id": "/invoices/line-items/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "InvoiceLineItem",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"invoice": {
"@id": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Invoice",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 3.3,
"reference": "Branch-A",
"internalIdentifier": "00001",
"type": "I",
"usage": "G03",
"paymentType": "PUE",
"paymentMethod": "04",
"paymentTerms": "immediate_payment",
"placeOfIssue": "01210",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"taxRegime": 601,
"blacklistStatus": null
},
"isIssuer": true,
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"blacklistStatus": "presumed"
},
"isReceiver": false,
"currency": "MXN",
"discount": 3324,
"tax": 5224,
"subtotal": 51349.8,
"creditedAmount": 31.32,
"subtotalCreditedAmount": 27,
"total": 53249.8,
"exchangeRate": 19.8,
"paidAmount": 53249.8,
"dueAmount": 0,
"lastPaymentDate": "2023-11-07T05:31:56Z",
"fullyPaidAt": "2023-11-07T05:31:56Z",
"paymentTermsRaw": "Tarjeta de crédito",
"status": "VIGENTE",
"pac": "SAT970701NN3",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"cancellationStatus": "Cancelable con aceptación",
"cancellationProcessStatus": "En proceso",
"canceledAt": "2023-11-07T05:31:56Z",
"relations": [
{
"@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
"@type": "InvoiceRelation",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": 7,
"invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"xml": true,
"pdf": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"tags": [
{
"@id": "/tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Tag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "To be reviewed",
"resourceType": "invoice",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
]
},
"identificationNumber": "<string>",
"productIdentification": "50121537",
"description": "Apple iPhone",
"unitAmount": 70,
"unitCode": "KGM",
"quantity": 60,
"discountAmount": 0,
"totalAmount": 4200,
"retainedTaxes": {
"valueAddedTax": 0,
"incomeTax": 0,
"sinTax": 0
},
"transferredTaxes": {
"valueAddedTax": 672,
"sinTax": 0
},
"taxes": [
{
"type": "transfer",
"tax": "002",
"base": 4200,
"factor": {
"type": "rate",
"amount": 0.16
},
"amount": 672
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve an invoice line item
Retrieve an invoice line item by ID, including product, quantity, amount, and tax details.
curl --request GET \
--url https://api.syntage.com/invoices/line-items/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/invoices/line-items/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/invoices/line-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.syntage.com/invoices/line-items/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.syntage.com/invoices/line-items/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.syntage.com/invoices/line-items/{id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.syntage.com/invoices/line-items/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"@id": "/invoices/line-items/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "InvoiceLineItem",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"invoice": {
"@id": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Invoice",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 3.3,
"reference": "Branch-A",
"internalIdentifier": "00001",
"type": "I",
"usage": "G03",
"paymentType": "PUE",
"paymentMethod": "04",
"paymentTerms": "immediate_payment",
"placeOfIssue": "01210",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"taxRegime": 601,
"blacklistStatus": null
},
"isIssuer": true,
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"blacklistStatus": "presumed"
},
"isReceiver": false,
"currency": "MXN",
"discount": 3324,
"tax": 5224,
"subtotal": 51349.8,
"creditedAmount": 31.32,
"subtotalCreditedAmount": 27,
"total": 53249.8,
"exchangeRate": 19.8,
"paidAmount": 53249.8,
"dueAmount": 0,
"lastPaymentDate": "2023-11-07T05:31:56Z",
"fullyPaidAt": "2023-11-07T05:31:56Z",
"paymentTermsRaw": "Tarjeta de crédito",
"status": "VIGENTE",
"pac": "SAT970701NN3",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"cancellationStatus": "Cancelable con aceptación",
"cancellationProcessStatus": "En proceso",
"canceledAt": "2023-11-07T05:31:56Z",
"relations": [
{
"@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
"@type": "InvoiceRelation",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": 7,
"invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"xml": true,
"pdf": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"tags": [
{
"@id": "/tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Tag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "To be reviewed",
"resourceType": "invoice",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
]
},
"identificationNumber": "<string>",
"productIdentification": "50121537",
"description": "Apple iPhone",
"unitAmount": 70,
"unitCode": "KGM",
"quantity": 60,
"discountAmount": 0,
"totalAmount": 4200,
"retainedTaxes": {
"valueAddedTax": 0,
"incomeTax": 0,
"sinTax": 0
},
"transferredTaxes": {
"valueAddedTax": 672,
"sinTax": 0
},
"taxes": [
{
"type": "transfer",
"tax": "002",
"base": 4200,
"factor": {
"type": "rate",
"amount": 0.16
},
"amount": 672
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Invoice Line Item ID
"91106968-1abd-4d64-85c1-4e73d96fb997"
Response
Invoice Line Items response
Invoice Line Item IRI reference
"/invoices/line-items/91106968-1abd-4d64-85c1-4e73d96fb997"
Invoice line item ID
"91106968-1abd-4d64-85c1-4e73d96fb997"
Show child attributes
Show child attributes
Seller-provided item or SKU identifier
SAT product or service code from the c_ClaveProdServ catalog
"50121537"
Line item description from the CFDI
"Apple iPhone"
Unit price before quantity is applied
70
SAT unit code from the c_ClaveUnidad catalog
"KGM"
Quantity billed for this line item
60
Discount amount applied to this line item
0
Total line item amount after quantity and discounts
4200
Retained tax amount of the line item by tax type. Carries no rate or factor type; use the line item's taxes for the per-node detail, including lines where the CFDI applies the same tax more than once. An amount is 0 when the line item does not include that tax, and null for line items extracted before 2023.
Show child attributes
Show child attributes
Transferred tax amount of the line item by tax type. Carries no rate or factor type; use the line item's taxes for the per-node detail, including lines where the CFDI applies the same tax more than once. An amount is 0 when the line item does not include that tax, and null for line items extracted before 2023.
Show child attributes
Show child attributes
Full tax detail for the line item, one entry per tax node (Traslado or Retencion) in the CFDI concepto. Carries the rate and factor type, which retainedTaxes and transferredTaxes do not. A tax can appear more than once when the CFDI applies it at different rates.
Show child attributes
Show child attributes
[
{
"type": "transfer",
"tax": "002",
"base": 4200,
"factor": { "type": "rate", "amount": 0.16 },
"amount": 672
}
]
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?